﻿import { IDemographicRace } from './demographicRace.interface';


export interface IApplication {
	autoRenew: boolean;
	subscriptionInvoiceId: number;
	hasAgreedToTerms: boolean;
    frequencyId: number;
    clientSubscriberId: string;
	firstName: string;
	middleName: string;
	lastName: string;
	suffix: string;
	title: string;
	titleOther: string;
	email: string;
	fax: string;
	phone: string;
	sponsoringName: string;
	sponsoringPin: string;
	sponsoringEmail: string;
	addressType: string;
	applicant_address1: string;
	applicant_address2: string;
	applicant_country: string;
	applicant_city: string;
	applicant_state: string;
	applicant_postalCode: string;
	companyName: string;
	companyWebsite: string;
	company_country: string;
	company_address1: string;
	company_address2: string;
	company_city: string;
	company_state: string;
	company_postalCode: string;
	primaryActivity: string;
	primaryActivity_other: string;
	secondaryActivity1: string;
	secondaryActivity1_other: string;
	secondaryActivity2: string;
	secondaryActivity2_other: string;

	demographic_singleFamilyUnits: string;
	demographic_multiFamilyUnits: string;
	demographic_dollarVolume: string;
	demographic_constructionEmployees: string;
	demographic_nonConstructionEmployees: string;
	demographic_age: string;
	demographic_race: IDemographicRace[];
	demographic_ethnicity: string;
	demographic_gender: string;
	demographic_education: string;

	reCaptcha: string;

	paymentMethod: {
		type: string;
		card: {
			cardNo: string;
			cardholderName: string;
			expiryMonth: string;
			expiryYear: string;
			cardholderCountry: string;
			cardholderBillingAddress1: string;
			cardholderBillingAddress2: string;
			cardholderCity: string;
			cardholderState: string;
			cardholderPostalCode: string;
			securityCode: string;
		},
		bank: {
			accountNo: string;
			accountHolderName: string;
			accountType: string;
			routingNo: string;
			checkNumber: string;
		}
	}

}