﻿
import { Injectable } from '@angular/core';
import { IPrimaryActivity } from '../data/primaryActivity.interface';

@Injectable()
export class PrimaryActivityService {
	getPrimaryActivities(): IPrimaryActivity[] {
		return [
			//builder
			{
				id: '1', typeName: 'Builder', name: 'Business Activity', children: [
					{ id: '1', typeName: 'Builder', name: 'Single-Family Spec/Tract Building', children: [] },
					{ id: '4', typeName: 'Builder', name: 'Single-Family General Contracting', children: [] },
					{ id: '5', typeName: 'Builder', name: 'Single-Family Custom Building', children: [] },
					{ id: '8', typeName: 'Builder', name: 'Multifamily Building (Condo/Coop Units)', children: [] },
					{ id: '10', typeName: 'Builder', name: 'Multifamily Building (Rental Units)', children: [] },
					{ id: '11', typeName: 'Builder', name: 'Multifamily General Contracting', children: [] },
					{ id: '13', typeName: 'Builder', name: 'Remodeling – Residential', children: [] },
					{ id: '15', typeName: 'Builder', name: 'Remodeling – Commercial', children: [] },
					{ id: '18', typeName: 'Builder', name: 'Commercial Building (Own Account)', children: [] },
					{ id: '19', typeName: 'Builder', name: 'Commercial General Contracting', children: [] },
					{ id: '21', typeName: 'Builder', name: 'Land Development', children: [] },
					{ id: '23', typeName: 'Builder', name: 'Manufacturing of Modular/Panelized/Log Homes', children: [] },
				]
			},
			{
				id: '2', typeName: 'Associate', name: 'Professional Specialties', children: [
					// assoc
					{ id: '24', typeName: 'Associate', name: 'Accounting', children: [] },
					{ id: '25', typeName: 'Associate', name: 'Architecture', children: [] },
					{ id: '26', typeName: 'Associate', name: 'Engineering', children: [] },
					{ id: '27', typeName: 'Associate', name: 'Planning or Designing', children: [] },
					{ id: '29', typeName: 'Associate', name: 'Legal Services', children: [] },
					{ id: '30', typeName: 'Associate', name: 'Computer Products and Services', children: [] },
					{ id: '70', typeName: 'Associate', name: 'Home Technology', children: [] },
				]
			},
			{
				id: '3', typeName: 'Associate', name: 'Financial Services', children: [
					{ id: '31', typeName: 'Associate', name: 'Commercial Banking/Thrift Institution', children: [] },
					{ id: '32', typeName: 'Associate', name: 'Mortgage Banking', children: [] },
					{ id: '33', typeName: 'Associate', name: 'Insurance or Title Company', children: [] },
					{ id: '34', typeName: 'Associate', name: 'Marketing/Advertising or Public Relations', children: [] }
				]
			},
			{
				id: '4', typeName: 'Associate', name: 'Subcontracting/Specialty Trade Contractor', children: [
					{ id: '35', typeName: 'Associate', name: 'Manufacturing', children: [] },
					{ id: '36', typeName: 'Associate', name: 'Property Management', children: [] },
					{ id: '37', typeName: 'Associate', name: 'Real Estate', children: [] },
					{ id: '38', typeName: 'Associate', name: 'Appliances (Retail Dealership)', children: [] },
					{ id: '39', typeName: 'Associate', name: 'Building Materials/Lumber (Retail Dealership)', children: [] },
					{ id: '41', typeName: 'Associate', name: 'Paint/Wall Coverings (Retail Dealership)', children: [] },
					{ id: '42', typeName: 'Associate', name: 'Other Retail Dealership (specify)', children: [] },
					{ id: '43', typeName: 'Associate', name: 'Carpentry Work', children: [] },
					{ id: '44', typeName: 'Associate', name: 'Electrical Work', children: [] },
					{ id: '45', typeName: 'Associate', name: 'Masonry/Stone Work/Tile Setting/Plastering', children: [] },
					{ id: '46', typeName: 'Associate', name: 'Landscaping', children: [] },
					{ id: '47', typeName: 'Associate', name: 'Plumbing/Heating/Air Conditioning', children: [] },
					{ id: '48', typeName: 'Associate', name: 'Roofing/Siding/Sheet Metal Work', children: [] },
					{ id: '49', typeName: 'Associate', name: 'Painting and Paper Hanging', children: [] },
					{ id: '50', typeName: 'Associate', name: 'Floor Laying and Other Floor Work', children: [] },
					{ id: '51', typeName: 'Associate', name: 'Concrete Work', children: [] },
					{ id: '52', typeName: 'Associate', name: 'Excavation Work', children: [] },
					{ id: '53', typeName: 'Associate', name: 'Land Surveyor', children: [] },
					{ id: '54', typeName: 'Associate', name: 'Security Systems', children: [] },
					{ id: '68', typeName: 'Associate', name: 'Insulation Work', children: [] },
					{ id: '69', typeName: 'Associate', name: 'Drywall Installation', children: [] },
					{ id: '55', typeName: 'Associate', name: 'Other Subcontractor (specify)', children: [] },
					{ id: '57', typeName: 'Associate', name: 'Appliances', children: [] },
					{ id: '58', typeName: 'Associate', name: 'Building Materials/Lumber', children: [] },
					{ id: '59', typeName: 'Associate', name: 'Floor Coverings', children: [] },
					{ id: '60', typeName: 'Associate', name: 'Paint/Wall Coverings', children: [] },
					{ id: '61', typeName: 'Associate', name: 'Other Wholesale Dealership (specify)', children: [] },
					{ id: '63', typeName: 'Associate', name: 'Utilities', children: [] },
					{ id: '66', typeName: 'Associate', name: 'Industry Consultant', children: [] },
					{ id: '67', typeName: 'Associate', name: 'Trade Association/Non-Profit', children: [] },
					{ id: '64', typeName: 'Associate', name: 'Other Associate (Please Specify)', children: [] }
				]
			},
		];
	}
}