﻿import { Injectable } from '@angular/core';
import { ISecondaryActivity } from '../data/secondaryActivity.interface';

@Injectable()
export class SecondaryActivityService {
	getSecondaryActivities(): ISecondaryActivity[] {
		return [
			//builder
			{
				id: '1', subscriptionTypeId: 'Builder', name: 'Business Activity', children: [
					{ id: '1', subscriptionTypeId: 'Builder', name: 'Single-Family Spec/Tract Building', children: [] },
					{ id: '4', subscriptionTypeId: 'Builder', name: 'Single-Family General Contracting', children: [] },
					{ id: '5', subscriptionTypeId: 'Builder', name: 'Single-Family Custom Building', children: [] },
					{ id: '8', subscriptionTypeId: 'Builder', name: 'Multifamily Building (Condo/Coop Units)', children: [] },
					{ id: '10', subscriptionTypeId: 'Builder', name: 'Multifamily Building (Rental Units)', children: [] },
					{ id: '11', subscriptionTypeId: 'Builder', name: 'Multifamily General Contracting', children: [] },
					{ id: '13', subscriptionTypeId: 'Builder', name: 'Remodeling – Residential', children: [] },
					{ id: '15', subscriptionTypeId: 'Builder', name: 'Remodeling – Commercial', children: [] },
					{ id: '18', subscriptionTypeId: 'Builder', name: 'Commercial Building (Own Account)', children: [] },
					{ id: '19', subscriptionTypeId: 'Builder', name: 'Commercial General Contracting', children: [] },
					{ id: '21', subscriptionTypeId: 'Builder', name: 'Land Development', children: [] },
					{ id: '23', subscriptionTypeId: 'Builder', name: 'Manufacturing of Modular/Panelized/Log Homes', children: [] },
				]
			},

			{
				id: '2', subscriptionTypeId: 'Builder', name: 'Professional Specialties', children: [
					{ id: '24', subscriptionTypeId: 'Builder', name: 'Accounting', children: [] },
					{ id: '25', subscriptionTypeId: 'Builder', name: 'Architecture', children: [] },
					{ id: '26', subscriptionTypeId: 'Builder', name: 'Engineering', children: [] },
					{ id: '27', subscriptionTypeId: 'Builder', name: 'Planning or Designing', children: [] },
					{ id: '29', subscriptionTypeId: 'Builder', name: 'Legal Services', children: [] },
					{ id: '30', subscriptionTypeId: 'Builder', name: 'Computer Products and Services', children: [] },
					{ id: '70', subscriptionTypeId: 'Builder', name: 'Home Technology', children: [] },
				]
			},
			{
				id: '3', subscriptionTypeId: 'Builder', name: 'Financial Services', children: [
					{ id: '31', subscriptionTypeId: 'Builder', name: 'Commercial Banking/Thrift Institution', children: [] },
					{ id: '32', subscriptionTypeId: 'Builder', name: 'Mortgage Banking', children: [] },
					{ id: '33', subscriptionTypeId: 'Builder', name: 'Insurance or Title Company', children: [] },
				]
			},
			{
				id: '4', subscriptionTypeId: 'Builder', name: 'Subcontracting/Specialty Trade Contractor', children: [
					{ id: '34', subscriptionTypeId: 'Builder', name: 'Marketing/Advertising or Public Relations', children: [] },
					{ id: '35', subscriptionTypeId: 'Builder', name: 'Manufacturing', children: [] },
					{ id: '36', subscriptionTypeId: 'Builder', name: 'Property Management', children: [] },
					{ id: '37', subscriptionTypeId: 'Builder', name: 'Real Estate', children: [] },
					{ id: '38', subscriptionTypeId: 'Builder', name: 'Appliances (Retail Dealership)', children: [] },
					{ id: '39', subscriptionTypeId: 'Builder', name: 'Building Materials/Lumber (Retail Dealership)', children: [] },
					{ id: '41', subscriptionTypeId: 'Builder', name: 'Paint/Wall Coverings (Retail Dealership)', children: [] },
					{ id: '42', subscriptionTypeId: 'Builder', name: 'Other Retail Dealership (specify)', children: [] },
					{ id: '43', subscriptionTypeId: 'Builder', name: 'Carpentry work', children: [] },
					{ id: '44', subscriptionTypeId: 'Builder', name: 'Electrical work', children: [] },
					{ id: '45', subscriptionTypeId: 'Builder', name: 'Masonry, Stone Work, Tile Setting and Plastering', children: [] },
					{ id: '46', subscriptionTypeId: 'Builder', name: 'Landscaping', children: [] },
					{ id: '47', subscriptionTypeId: 'Builder', name: 'Plumbing, Heating and Air conditioning', children: [] },
					{ id: '48', subscriptionTypeId: 'Builder', name: 'Roofing, Siding and Sheet Metal work', children: [] },
					{ id: '49', subscriptionTypeId: 'Builder', name: 'Painting and Paper Hanging', children: [] },
					{ id: '50', subscriptionTypeId: 'Builder', name: 'Floor Laying and Other Floor work', children: [] },
					{ id: '51', subscriptionTypeId: 'Builder', name: 'Concrete work', children: [] },
					{ id: '52', subscriptionTypeId: 'Builder', name: 'Excavation work', children: [] },
					{ id: '53', subscriptionTypeId: 'Builder', name: 'Land Surveyor', children: [] },
					{ id: '54', subscriptionTypeId: 'Builder', name: 'Security Systems', children: [] },
					{ id: '68', subscriptionTypeId: 'Builder', name: 'Insulation work', children: [] },
					{ id: '69', subscriptionTypeId: 'Builder', name: 'Drywall installation', children: [] },
					{ id: '55', subscriptionTypeId: 'Builder', name: 'Other Subcontracting (specify):', children: [] },
					{ id: '57', subscriptionTypeId: 'Builder', name: 'Appliances', children: [] },
					{ id: '58', subscriptionTypeId: 'Builder', name: 'Building Materials/Lumber', children: [] },
					{ id: '59', subscriptionTypeId: 'Builder', name: 'Floor Coverings', children: [] },
					{ id: '60', subscriptionTypeId: 'Builder', name: 'Paint/Wall Coverings', children: [] },
					{ id: '61', subscriptionTypeId: 'Builder', name: 'Other Wholesale Dealership (specify)', children: [] },
					{ id: '63', subscriptionTypeId: 'Builder', name: 'Utilities', children: [] },
					{ id: '66', subscriptionTypeId: 'Builder', name: 'Industry Consultant', children: [] },
					{ id: '67', subscriptionTypeId: 'Builder', name: 'Trade Association/Non-Profit', children: [] },
					{ id: '64', subscriptionTypeId: 'Builder', name: 'Other Associate (Please Specify)', children: [] }
				]
			},
			// associate
			{
				id: '5', subscriptionTypeId: 'Associate', name: 'Professional Specialties', children:
				[
					{ id: '24', subscriptionTypeId: 'Associate', name: 'Accounting', children: [] },
					{ id: '25', subscriptionTypeId: 'Associate', name: 'Architecture', children: [] },
					{ id: '26', subscriptionTypeId: 'Associate', name: 'Engineering', children: [] },
					{ id: '27', subscriptionTypeId: 'Associate', name: 'Planning or Designing', children: [] },
					{ id: '29', subscriptionTypeId: 'Associate', name: 'Legal Services', children: [] },
					{ id: '30', subscriptionTypeId: 'Associate', name: 'Computer Products and Services', children: [] },
					{ id: '70', subscriptionTypeId: 'Associate', name: 'Home Technology', children: [] },
				]
			},
			{
				id: '3', subscriptionTypeId: 'Associate', name: 'Financial Services', children: [
					{ id: '31', subscriptionTypeId: 'Associate', name: 'Commercial Banking/Thrift Institution', children: [] },
					{ id: '32', subscriptionTypeId: 'Associate', name: 'Mortgage Banking', children: [] },
					{ id: '33', subscriptionTypeId: 'Associate', name: 'Insurance or Title Company', children: [] },
				]
			},
			{
				id: '6', subscriptionTypeId: 'Associate', name: 'Subcontracting/Specialty Trade Contractor', children: [
					{ id: '34', subscriptionTypeId: 'Associate', name: 'Marketing/Advertising or Public Relations', children: [] },
					{ id: '35', subscriptionTypeId: 'Associate', name: 'Manufacturing', children: [] },
					{ id: '36', subscriptionTypeId: 'Associate', name: 'Property Management', children: [] },
					{ id: '37', subscriptionTypeId: 'Associate', name: 'Real Estate', children: [] },
					{ id: '38', subscriptionTypeId: 'Associate', name: 'Appliances (Retail Dealership)', children: [] },
					{ id: '39', subscriptionTypeId: 'Associate', name: 'Building Materials/Lumber (Retail Dealership)', children: [] },
					{ id: '41', subscriptionTypeId: 'Associate', name: 'Paint/Wall Coverings (Retail Dealership)', children: [] },
					{ id: '42', subscriptionTypeId: 'Associate', name: 'Other Retail Dealership (specify)', children: [] },
					{ id: '43', subscriptionTypeId: 'Associate', name: 'Carpentry work', children: [] },
					{ id: '44', subscriptionTypeId: 'Associate', name: 'Electrical work', children: [] },
					{ id: '45', subscriptionTypeId: 'Associate', name: 'Masonry, Stone Work, Tile Setting and Plastering', children: [] },
					{ id: '46', subscriptionTypeId: 'Associate', name: 'Landscaping', children: [] },
					{ id: '47', subscriptionTypeId: 'Associate', name: 'Plumbing, Heating and Air conditioning', children: [] },
					{ id: '48', subscriptionTypeId: 'Associate', name: 'Roofing, Siding and Sheet Metal work', children: [] },
					{ id: '49', subscriptionTypeId: 'Associate', name: 'Painting and Paper Hanging', children: [] },
					{ id: '50', subscriptionTypeId: 'Associate', name: 'Floor Laying and Other Floor work', children: [] },
					{ id: '51', subscriptionTypeId: 'Associate', name: 'Concrete work', children: [] },
					{ id: '52', subscriptionTypeId: 'Associate', name: 'Excavation work', children: [] },
					{ id: '53', subscriptionTypeId: 'Associate', name: 'Land Surveyor', children: [] },
					{ id: '54', subscriptionTypeId: 'Associate', name: 'Security Systems', children: [] },
					{ id: '68', subscriptionTypeId: 'Associate', name: 'Insulation work', children: [] },
					{ id: '69', subscriptionTypeId: 'Associate', name: 'Drywall installation', children: [] },
					{ id: '55', subscriptionTypeId: 'Associate', name: 'Other Subcontracting (specify):', children: [] },
					{ id: '57', subscriptionTypeId: 'Associate', name: 'Appliances', children: [] },
					{ id: '58', subscriptionTypeId: 'Associate', name: 'Building Materials/Lumber', children: [] },
					{ id: '59', subscriptionTypeId: 'Associate', name: 'Floor Coverings', children: [] },
					{ id: '60', subscriptionTypeId: 'Associate', name: 'Paint/Wall Coverings', children: [] },
					{ id: '61', subscriptionTypeId: 'Associate', name: 'Other Wholesale Dealership (specify)', children: [] },
					{ id: '63', subscriptionTypeId: 'Associate', name: 'Utilities', children: [] },
					{ id: '66', subscriptionTypeId: 'Associate', name: 'Industry Consultant', children: [] },
					{ id: '67', subscriptionTypeId: 'Associate', name: 'Trade Association/Non-Profit', children: [] },
					{ id: '64', subscriptionTypeId: 'Associate', name: 'Other Associate (Please Specify)', children: [] }
				]
			},
			{
				id: '7', subscriptionTypeId: 'Associate', name: 'Other Builder Activity', children: [
					{ id: '1', subscriptionTypeId: 'Associate', name: 'Single-Family Spec/Tract Building', children: [] },
					{ id: '4', subscriptionTypeId: 'Associate', name: 'Single-Family General Contracting', children: [] },
					{ id: '5', subscriptionTypeId: 'Associate', name: 'Single-Family Custom Building', children: [] },
					{ id: '8', subscriptionTypeId: 'Associate', name: 'Multifamily Building (Condo/Coop Units)', children: [] },
					{ id: '10', subscriptionTypeId: 'Associate', name: 'Multifamily Building (Rental Units)', children: [] },
					{ id: '11', subscriptionTypeId: 'Associate', name: 'Multifamily General Contracting', children: [] },
					{ id: '13', subscriptionTypeId: 'Associate', name: 'Remodeling – Residential', children: [] },
					{ id: '15', subscriptionTypeId: 'Associate', name: 'Remodeling – Commercial', children: [] },
					{ id: '18', subscriptionTypeId: 'Associate', name: 'Commercial Building (Own Account)', children: [] },
					{ id: '19', subscriptionTypeId: 'Associate', name: 'Commercial General Contracting', children: [] },
					{ id: '21', subscriptionTypeId: 'Associate', name: 'Land Development', children: [] },
					{ id: '23', subscriptionTypeId: 'Associate', name: 'Manufacturing of Modular/Panelized/Log Homes', children: [] },
				]
			}
		];
	}
}