﻿
import { NgModule } from '@angular/core';
import { AUTH_PROVIDERS } from 'angular2-jwt';
import { CookieService } from 'angular2-cookie/services/cookies.service';
import { RouterModule } from '@angular/router';
import { LocalStorageService, LOCAL_STORAGE_SERVICE_CONFIG } from 'angular-2-local-storage';
import { DemographicAgeService } from './services/demographicAge.service';
import { DemographicEducationService } from './services/demographicEducation.service';
import { DemographicRaceService } from './services/demographicRace.service';
import { DollarVolumeService } from './services/dollarVolume.service';
import { PrefixService } from './services/prefix.service';
import { PrimaryActivityService } from './services/primaryActivity.service';
import { SignupInfoService } from './services/api/signupInfo.service';
import { SecondaryActivityService } from './services/secondaryActivity.service';
import { SubscriptionRequestService } from './services/subscriptionRequest.service';
import { SharedModule } from '../shared/shared.module';
import { TitleService } from './services/title.service';

import { PaymentComponent } from '../shared/components/payment.component';
import { ConfirmationNewComponent } from '../shared/components/confirmationNew.component';
import { ConfirmationRenewalComponent } from '../shared/components/confirmationRenewal.component';
import { TextBoxComponent } from '../shared/components/textBox.component';

import { Template1Component } from './template1/template1.component';

let localStorageServiceConfig = {
	prefix: 'billHighway_signup',
	storageType: 'sessionStorage'
};

@NgModule({
	declarations: [
		Template1Component,
		PaymentComponent,
		TextBoxComponent,
		ConfirmationNewComponent,
		ConfirmationRenewalComponent
	],
	imports: [
		SharedModule,
		RouterModule.forChild([
			{ path: ':clientOrganizationId/group/:clientGroupId/form/1', component: Template1Component },
            { path: ':clientOrganizationId/group/:clientGroupId/:userType/user/:userID/form/1', component: Template1Component }
		])
	],
	providers: [
		AUTH_PROVIDERS,
		CookieService,
		DemographicAgeService,
		DemographicEducationService,
		DemographicRaceService,
		DollarVolumeService,
		LocalStorageService, { provide: LOCAL_STORAGE_SERVICE_CONFIG, useValue: localStorageServiceConfig},
		PrefixService,
		PrimaryActivityService,
		SecondaryActivityService,
		SubscriptionRequestService,
		SignupInfoService,
		TitleService
	]
})
export class SignupModule {

}